LINUX.ORG.RU

Проблемы с компиляцией glibc2.2.2


0

0

Привет,имеется kernel-2.2.17,glibc-2.1.x,решено было произвести апгрейт glibc до 2.2.2 Ставить решено было с исходников,скачал glibc-2.2.2.tar.gz и glibc-linuxthreads-2.2.2.tar.gz Распокавал последний в соответствии с инструкциями по инсталяции.В /usr/src/glibc-2.2.2/.Создал директорию /usr/src/compile,и от туда стартую ../glibc-2.2.2/configure --prefix=/usr --enable-add-ons Вроде configure проходит нормально(хотя это тоже вопрос,но он этом ниже),далее запускаю make,символы всякие бегут,вроде все нормально,и минут через 5 вылетает с ошибкой,вот последние семь сообщений: ============================================================== // make -C intl subdir-lib // make[2]: Вход в каталог '/usr/src/glibc-2.2.2/intl' // Makefile:48: *** команды встречены до первого определения цели. Останов. // make[2]: Выход из каталог '/usr/src/glibc-2.2.2/intl' // make[1]: *** [intl/subdir_lib] Ошибка 2 // make[1]: Выход из каталог '/usr/src/glibc-2.2.2' // make: *** [all] Ошибка 2 ============================================================== Ни у кого такого не было и как это лечить?В факах нету.

anonymous

Re: Проблемы с компиляцией glibc2.2.2

Ладно,с этим вроде разобрался(хотя этого не где не было написано,не в доках,не в факах,так что не надо кричать,что мне лень поискать полазить),проблема решается(но не полностью)так,надо k configure добавить ключик --whitout-cvs .А теперь другой вопрос,зачем нужен этот CVS(слышал,что система контроля версий)?Нужен ли он обычному рядовому пользователю?И если нужен,то нужен ли он glibc'у?

anonymous ()

Re: Проблемы с компиляцией glibc2.2.2

Тебе CVS не нужен. Траблы у тебя, похоже, возникли из-за того, что ты качал либу с cvs, а надо было - с ftp.

nobody ★★ ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.